# PhasicFlow: src/phasicFlow/containers/Vector/VectorAlgorithm.hpp File Reference

VectorAlgorithm.hpp File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow

## Functions

template<typename T , typename Allocator >
auto | count (const Vector< T, Allocator > &vec, const T &val)
template<typename T , typename Allocator , typename UnaryPredicate >
auto | count_if (const Vector< T, Allocator > &vec, UnaryPredicate p)
template<typename T , typename Allocator >
void | fill_n (Vector< T, Allocator > &vec, size_t n, const T &val)
template<typename T , typename Allocator >
void | fill (Vector< T, Allocator > &vec, const T &val)
template<typename T , typename Allocator >
void | fillSequence (Vector< T, Allocator > &vec, int32 start, int32 end, const T &startVal)
template<typename T , typename Allocator >
void | fillSequence (Vector< T, Allocator > &vec, const T &startVal)
template<typename T , typename Allocator >
void | sort (Vector< T, Allocator > &vec)
template<typename T , typename Allocator >
int64 | find (Vector< T, Allocator > &vec, const T &val)